export interface NodeCIConfig {
    start: string;
    preflight: string[] | string;
    postflight?: string[] | string;
    redeploy_path?: string;
    first_run?: boolean;
    port?: string | number | (string | number)[];
    build?: NodeCIBuild;
}

export interface NodeCIBuild {
    paradigm: "Next.JS" | "Remix";
    out_dir?: string;
}
